package tech.glinfo.enbao.modules.sh.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import tech.glinfo.enbao.common.utils.PageUtils;
import tech.glinfo.enbao.common.utils.Query;

import tech.glinfo.enbao.modules.sh.dao.ShDlinkDao;
import tech.glinfo.enbao.modules.sh.entity.ShDlinkEntity;
import tech.glinfo.enbao.modules.sh.service.ShDlinkService;


@Service("shDlinkService")
public class ShDlinkServiceImpl extends ServiceImpl<ShDlinkDao, ShDlinkEntity> implements ShDlinkService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ShDlinkEntity> page = this.page(
                new Query<ShDlinkEntity>().getPage(params),
                new QueryWrapper<ShDlinkEntity>()
        );

        return new PageUtils(page);
    }

}